Package org.eclipse.emf.compare

# Class EMFCompare.Builder

java.lang.Object
org.eclipse.emf.compare.EMFCompare.Builder

Enclosing class:
  EMFCompare

public static class EMFCompare.Builder extends Object
A Builder pattern to instantiate EMFCompare objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected IConflictDetector`
`conflictDetector`
The IConflictDetector to use to compute conflicts.
`protected IDiffEngine`
`diffEngine`
The IDiffEngine to use to compute comparison.
`protected IEquiEngine`
`equiEngine`
The IEquiEngine to use to compute comparison.
`protected IMatchEngine.Factory.Registry`
`matchEngineFactoryRegistry`
The registry we'll use to create a match engine for this comparison.
`protected IPostProcessor.Descriptor.Registry<?>`
`registry`
The PostProcessorRegistry to use to find an IPostProcessor.
`protected IReqEngine`
`reqEngine`
The IReqEngine to use to compute comparison.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Builder()`
Creates a new builder object.

## Method Summary

Modifier and Type
Method
Description
`EMFCompare`
`build()`
Instantiates and return an EMFCompare object configured with the previously given engines.
`EMFCompare.Builder`
`setConflictDetector(IConflictDetector cd)`
Sets the IEquiEngine to be used to compute conflicts between Diff.
`EMFCompare.Builder`
`setDiffEngine(IDiffEngine de)`
Sets the IDiffEngine to be used to compute Diff.
`EMFCompare.Builder`
`setEquivalenceEngine(IEquiEngine ee)`
Sets the IEquiEngine to be used to compute equivalences between Diff.
`EMFCompare.Builder`
`setMatchEngineFactoryRegistry(IMatchEngine.Factory.Registry mefr)`
Sets the IMatchEngine.Factory.Registry to be used to find a match engine factory to compute comparison.
`EMFCompare.Builder`
`setPostProcessorRegistry(IPostProcessor.Descriptor.Registry<?> r)`
Sets the PostProcessor to be used to find the post processor of each comparison steps.
`EMFCompare.Builder`
`setRequirementEngine(IReqEngine re)`
Sets the IReqEngine to be used to compute dependencies between Diff.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### matchEngineFactoryRegistry

protected IMatchEngine.Factory.Registry matchEngineFactoryRegistry
The registry we'll use to create a match engine for this comparison.

### reqEngine

protected IReqEngine reqEngine
The IReqEngine to use to compute comparison.

### diffEngine

protected IDiffEngine diffEngine
The IDiffEngine to use to compute comparison.

### equiEngine

protected IEquiEngine equiEngine
The IEquiEngine to use to compute comparison.

### conflictDetector

protected IConflictDetector conflictDetector
The IConflictDetector to use to compute conflicts.

### registry

protected IPostProcessor.Descriptor.Registry<?> registry
The PostProcessorRegistry to use to find an IPostProcessor.

## Constructor Details

### Builder

protected Builder()
Creates a new builder object.

## Method Details

### setMatchEngineFactoryRegistry

public EMFCompare.Builder setMatchEngineFactoryRegistry(IMatchEngine.Factory.Registry mefr)
Sets the IMatchEngine.Factory.Registry to be used to find a match engine factory to compute comparison.

Parameters:
  `mefr` - the IMatchEngine.Factory.Registry to be used to find a match engine factory to compute comparison.
Returns:
  this same builder to allow chained call.

### setDiffEngine

public EMFCompare.Builder setDiffEngine(IDiffEngine de)
Sets the IDiffEngine to be used to compute Diff.

Parameters:
  `de` - the IDiffEngine to be used to compute Diff.
Returns:
  this same builder to allow chained call.

### setRequirementEngine

public EMFCompare.Builder setRequirementEngine(IReqEngine re)
Sets the IReqEngine to be used to compute dependencies between Diff.

Parameters:
  `re` - the IReqEngine to be used to compute dependencies between Diff.
Returns:
  this same builder to allow chained call.

### setEquivalenceEngine

public EMFCompare.Builder setEquivalenceEngine(IEquiEngine ee)
Sets the IEquiEngine to be used to compute equivalences between Diff.

Parameters:
  `ee` - the IEquiEngine to be used to compute equivalences between Diff
Returns:
  this same builder to allow chained call.

### setConflictDetector

public EMFCompare.Builder setConflictDetector(IConflictDetector cd)
Sets the IEquiEngine to be used to compute conflicts between Diff.

Parameters:
  `cd` - the IEquiEngine to be used to compute conflicts between Diff.
Returns:
  this same builder to allow chained call.

### setPostProcessorRegistry

public EMFCompare.Builder setPostProcessorRegistry(IPostProcessor.Descriptor.Registry<?> r)
Sets the PostProcessor to be used to find the post processor of each comparison steps.

Parameters:
  `r` - the PostProcessor to be used to find the post processor of each comparison steps.
Returns:
  this same builder to allow chained call.

### build

public EMFCompare build()
Instantiates and return an EMFCompare object configured with the previously given engines.

Returns:
  an EMFCompare object configured with the previously given engines